<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Move Method (DatabaseEntry, Boolean)
Cursor Class See Also Send Feedback

Set the cursor to refer to key, and store the datum associated with the given key in Current. In the presence of duplicate key values, the first data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool Move(
    	DatabaseEntry key,
    	bool exact
    )

Visual Basic (Declaration)

    Public Function Move ( _
    	key As DatabaseEntry, _
    	exact As Boolean _
    ) As Boolean

Visual C++

    public:
    bool Move(
    	DatabaseEntry^ key,
    	bool exact
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

exact
  Type: System..::.Boolean
  If true, require the given key to match the key in the database exactly. If false, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
Move Overload
BerkeleyDB Namespace